/*
 * MUST (Marmot Umpire Scalable Tool)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2011-2012
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2011-2012
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file DatatypePredefs.h
 *       @see MUST::DatatypePredefs.
 *
 *  @date 18.02.2011
 *  @author Tobias Hilbrich
 */

#include "ModuleBase.h"
#include "I_DatatypePredefs.h"

#ifndef DATATYPEPREDEFS_H
#define DATATYPEPREDEFS_H

using namespace gti;

namespace must
{
	/**
     * Implementation for I_DatatypePredefs.
     */
    class DatatypePredefs : public gti::ModuleBase<DatatypePredefs, I_DatatypePredefs>
    {
    protected:

    public:
        /**
         * Constructor.
         * @param instanceName name of this module instance.
         */
    		DatatypePredefs (const char* instanceName);

    		/**
    		 * Destructor.
    		 */
    		virtual ~DatatypePredefs (void);

    		/**
    		 * @see I_DatatypePredefs::propagate.
    		 */
    		GTI_ANALYSIS_RETURN propagate (void);

    }; /*class DatatypePredefs */
} /*namespace MUST*/

#endif /*DATATYPEPREDEFS_H*/
